// Copyright 2021 Datafuse Labs.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#[cfg(test)]
mod pipe_test;
#[cfg(test)]
mod pipeline_builder_test;
#[cfg(test)]
mod pipeline_display_test;
#[cfg(test)]
mod pipeline_walker_test;
#[cfg(test)]
mod processor_empty_test;
#[cfg(test)]
mod processor_merge_test;
#[cfg(test)]
mod processor_mixed_test;

mod pipe;
mod pipeline;
mod pipeline_builder;
mod pipeline_display;
mod pipeline_walker;
mod processor;
mod processor_empty;
mod processor_merge;
mod processor_mixed;

pub use pipe::Pipe;
pub use pipeline::Pipeline;
pub use pipeline_builder::PipelineBuilder;
pub use processor::FormatterSettings;
pub use processor::Processor;
pub use processor_empty::EmptyProcessor;
pub use processor_merge::MergeProcessor;
pub use processor_mixed::MixedProcessor;
